# Package edu.isi.pegasus.planner.transfer.mapper

Interface Summary
Mapper: An empty interface for all transfer Mappers that determine where a File should be on a particular site.
OutputMapper: The interface that defines how to map the output files to a stage out site.

Class Summary
OutputMapperFactory: The factory class that loads an appropriate Transfer OutputMapper class, as specified by the properties.

Exception Summary
MapperException: The baseclass of the exception that is thrown by all Mappers.
OutputMapperFactoryException: Class to notify of failures while instantiating Output Mappers.